Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024310
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorhave not tried2013-07-10 16:492013-07-24 18:34
ReportermigueldejuanaView Statuspublic 
Assigned Tomigueldejuana 
PrioritynormalResolutionfixedFixed in VersionRMP25
StatusclosedFix in branchFixed in SCM revisionc46d6a23ccf8
ProjectionnoneETAnoneTarget VersionRMP25
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024310: Voiding a layaway, the negative transaction is not created

DescriptionWhen we are voiding a layaway, the negative payment is well created but the corresponding transaction is not created.
Steps To Reproduce- Create a Layaway with one payment
- Void this layaway
- Check the financial account of the payment method and check that the negative transaction was not created.
TagsNo tags attached.
Attached Filesdiff file icon issue24310.diff [^] (2,335 bytes) 2013-07-10 16:51 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0059941)
migueldejuana (developer)
2013-07-10 16:52

A diff has been attached with the solution.
(0059991)
hgbot (developer)
2013-07-16 10:53

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: c46d6a23ccf88ac02354e46661d28066428b7b08
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Jul 16 10:53:26 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c46d6a23ccf88ac02354e46661d28066428b7b08 [^]

Fixed issue 24310. If a layaway is voided, and there are payments associated with it, negative transactions will be added for each

---
M src/org/openbravo/retail/posterminal/ProcessVoidLayaway.java
---
(0060220)
hgbot (developer)
2013-07-24 09:05

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 423a92104098bdbc709f46669d9369d773bbbc45
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Jul 24 09:05:45 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/423a92104098bdbc709f46669d9369d773bbbc45 [^]

related to issue 24310: use correct description for transaction

---
M src/org/openbravo/retail/posterminal/ProcessVoidLayaway.java
---
(0060221)
guilleaer (developer)
2013-07-24 09:06

verified
(0060233)
hgbot (developer)
2013-07-24 13:40

Repository: erp/pmods/org.openbravo.retail.posterminal-col
Changeset: c46d6a23ccf88ac02354e46661d28066428b7b08
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Jul 16 10:53:26 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-col/rev/c46d6a23ccf88ac02354e46661d28066428b7b08 [^]

Fixed issue 24310. If a layaway is voided, and there are payments associated with it, negative transactions will be added for each

---
M src/org/openbravo/retail/posterminal/ProcessVoidLayaway.java
---
(0060260)
hgbot (developer)
2013-07-24 13:42

Repository: erp/pmods/org.openbravo.retail.posterminal-col
Changeset: 423a92104098bdbc709f46669d9369d773bbbc45
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Jul 24 09:05:45 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-col/rev/423a92104098bdbc709f46669d9369d773bbbc45 [^]

related to issue 24310: use correct description for transaction

---
M src/org/openbravo/retail/posterminal/ProcessVoidLayaway.java
---
(0060284)
guilleaer (developer)
2013-07-24 18:34

reclosing

- Issue History
Date Modified Username Field Change
2013-07-10 16:49 migueldejuana New Issue
2013-07-10 16:49 migueldejuana Assigned To => migueldejuana
2013-07-10 16:51 migueldejuana File Added: issue24310.diff
2013-07-10 16:52 migueldejuana Note Added: 0059941
2013-07-16 10:53 hgbot Checkin
2013-07-16 10:53 hgbot Note Added: 0059991
2013-07-16 10:53 hgbot Status new => resolved
2013-07-16 10:53 hgbot Resolution open => fixed
2013-07-16 10:53 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c46d6a23ccf88ac02354e46661d28066428b7b08 [^]
2013-07-24 09:05 hgbot Checkin
2013-07-24 09:05 hgbot Note Added: 0060220
2013-07-24 09:06 guilleaer Review Assigned To => guilleaer
2013-07-24 09:06 guilleaer Note Added: 0060221
2013-07-24 09:06 guilleaer Status resolved => closed
2013-07-24 09:06 guilleaer Fixed in Version => RMP25
2013-07-24 13:40 hgbot Checkin
2013-07-24 13:40 hgbot Note Added: 0060233
2013-07-24 13:40 hgbot Status closed => resolved
2013-07-24 13:40 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c46d6a23ccf88ac02354e46661d28066428b7b08 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-col/rev/c46d6a23ccf88ac02354e46661d28066428b7b08 [^]
2013-07-24 13:42 hgbot Checkin
2013-07-24 13:42 hgbot Note Added: 0060260
2013-07-24 18:34 guilleaer Note Added: 0060284
2013-07-24 18:34 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker